
@(rustc_stats: &[(u16, f32, f32)])

<div id="rustc-usage"><table>
    <tr><th>This many crates.io requests…</th>
        @for (_,stable,_) in rustc_stats.iter().copied() {
            <td>@if stable >= 90.0 { <b>@(stable.floor())</b>@if stable >= 99.0 && (((stable*10.) as u32)%10) != 0 {.@(((stable*10.) as u32)%10)}% } else { @stable.round()% }</td>
        }
    </tr>
    <tr><th>…use this stable version of Rust or newer</th>
        @for (i, (ver,_,_)) in rustc_stats.iter().copied().enumerate() {
            <td>1.@ver@if i > 0 {+}</td>
        }
</tr>
    <tr class="nightly"><th>This many crates.io requests…</th>
        @for (_,_,nightly) in rustc_stats.iter().copied() {
            @if nightly > 0.0 {
                <td>@nightly.round()%</td>
            }
        }
    </tr>
    <tr><th>…use this or newer <strong>nightly</strong> version of Rust</th>
        @for (ver,_,nightly) in rustc_stats.iter().copied() {
            @if nightly > 0.0 {
                <td>1.@ver+</td>
            }
        }
</tr></table>
</div>
